Bug 1290256 - [RFE][OpsTools] We need a check for growing rabbitMQ queues
[RFE][OpsTools] We need a check for growing rabbitMQ queues
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd (Show other bugs)
8.0 (Liberty)
All Linux
medium Severity high
: Upstream M2
: 15.0 (S)
Assigned To: Matthias Runge
Leonid Natapov
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 18:12 EST by Nick Barcet
Modified: 2018-06-15 10:17 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Barcet 2015-12-09 18:12:19 EST
Description of problem:
We need to provide an alert when RabbitMQ queues are growing in our availability monitoring solution.

Use case:
As an operator, if the number of messages in my rabbitMQ queue keeps on growing, that's a clear indication that something is going wrong in my setup and I need to be notified of it

Satisfaction criteria:
- a check is implemented
- checks are deployed for each Rabbit queues
- alert are sent when queues are growing
Comment 4 Matthias Runge 2017-07-19 04:40:18 EDT
A script to put rabbit queue lengths into collect:

INTERVAL="${COLLECTD_INTERVAL:-10}"
while sleep $INTERVAL;
do
  sudo rabbitmqctl list_queues | awk '{ s+=+$2} END {print "PUTVAL rabbitmq/queues " s}'
done
Comment 9 Mehdi ABAAKOUK 2017-12-21 09:14:59 EST
Just "rabbitmqctl list_queues" will not show messages taken by an application but not yet ack by the application.

Maybe you should pass what kind of message you want, for example: rabbitmqctl list_queues messages_ready messages_unacknowledged

Note You need to log in before you can comment on or make changes to this bug.